// -*- C++ -*-


#pragma once

#include "lib/defs.h"
#ifdef __CYGWIN__
#define APIENTRY
#define GLUT_APIENTRY_DEFINED
#define CALLBACK
#endif

#ifdef _MSC_VER
#pragma comment(lib,"opengl32.lib")
#endif

#ifdef __APPLE__
#include <OpenGL/OpenGL.h>
#include <OpenCL/gcl.h>
#include <OpenGL/CGLDevice.h>
#include <OpenGL/gl.h>
#elif defined(__ANDROID__)
#include <GLES2/gl2.h>
#elif defined(_WIN32)
#include <GL/glew.h>
#include <windows.h>
#else
#include <GL/glew.h>
#include <GL/glx.h>
#endif

#include "lib/clean_environment.h"

#ifdef _WIN32
#elif defined(__linux__)
typedef struct __GLXcontextRec *GLXContext;
typedef struct _XDisplay Display;
#endif


namespace goopax
{
  namespace impl
  {
#ifdef _WIN32
    using GLXContext_type = HGLRC;
    using Display_type = HDC;
#elif defined(__linux__)
    using GLXContext_type = GLXContext;
    using Display_type = Display*;
#endif
  }
}


